// Axcpl01View.cpp : implementation of the CAxcpl01View class
//

#include "stdafx.h"
#include "Axcpl01.h"

#include "Axcpl01Doc.h"
#include "Axcpl01View.h"

#include "Axcpl01w.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

//Kom#define WM_AXCPL01			( WM_USER + 100 )
const	TCHAR szTitle[] = _T("Sample");
const	TCHAR szPL01[] = _T("AXC-PL01");
WORD	wLogSocket;	// foCXi[


/////////////////////////////////////////////////////////////////////////////
// CAxcpl01View

IMPLEMENT_DYNCREATE(CAxcpl01View, CFormView)

BEGIN_MESSAGE_MAP(CAxcpl01View, CFormView)
	//{{AFX_MSG_MAP(CAxcpl01View)
	ON_BN_CLICKED(IDC_BUTTON_READ, OnButtonRead)
	ON_BN_CLICKED(IDC_BUTTON_WRITE, OnButtonWrite)
	ON_BN_CLICKED(IDC_BUTTON_SET, OnButtonSet)
	ON_BN_CLICKED(IDC_BUTTON_RESET, OnButtonReset)
	ON_EN_CHANGE(IDC_EDIT_HEX, OnChangeEditHex)
	ON_EN_CHANGE(IDC_EDIT_BIN1, OnChangeEditBin1)
	ON_EN_CHANGE(IDC_EDIT_BIN2, OnChangeEditBin2)
	ON_EN_CHANGE(IDC_EDIT_BIN3, OnChangeEditBin3)
	ON_EN_CHANGE(IDC_EDIT_BIN4, OnChangeEditBin4)
	ON_COMMAND(IDR_MAIN_RESOURCE, OnMainResource)
	ON_COMMAND(IDR_MAIN_VER, OnMainVer)
	ON_CBN_SELCHANGE(IDC_BASEADDRESS, OnSelchangeBaseaddress)
	ON_EN_SETFOCUS(IDC_EDIT_HEX, OnSetfocusEditHex)
	ON_EN_SETFOCUS(IDC_EDIT_BIN1, OnSetfocusEditBin1)
	ON_EN_SETFOCUS(IDC_EDIT_BIN2, OnSetfocusEditBin2)
	ON_EN_SETFOCUS(IDC_EDIT_BIN3, OnSetfocusEditBin3)
	ON_EN_SETFOCUS(IDC_EDIT_BIN4, OnSetfocusEditBin4)
	ON_EN_KILLFOCUS(IDC_EDIT_BIN1, OnKillfocusEditBin1)
	ON_EN_KILLFOCUS(IDC_EDIT_BIN2, OnKillfocusEditBin2)
	ON_EN_KILLFOCUS(IDC_EDIT_BIN3, OnKillfocusEditBin3)
	ON_EN_KILLFOCUS(IDC_EDIT_BIN4, OnKillfocusEditBin4)
	ON_EN_KILLFOCUS(IDC_EDIT_HEX, OnKillfocusEditHex)
	ON_COMMAND(IDR_MAIN_EXIT, OnMainExit)
	ON_WM_DESTROY()
	ON_MESSAGE(AXCPL01_WM_CARD_REMOVAL,OnCardRemove)		//Kom
	ON_WM_TIMER()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAxcpl01View construction/destruction

CAxcpl01View::CAxcpl01View()
	: CFormView(CAxcpl01View::IDD)
{
	//{{AFX_DATA_INIT(CAxcpl01View)
	//}}AFX_DATA_INIT
	// TODO: add construction code here

}

CAxcpl01View::~CAxcpl01View()
{
}

void CAxcpl01View::DoDataExchange(CDataExchange* pDX)
{
	CFormView::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAxcpl01View)
	DDX_Control(pDX, IDC_BASEADDRESS, m_baseAddressList);
	//}}AFX_DATA_MAP
}

BOOL CAxcpl01View::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CFormView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CAxcpl01View diagnostics

#ifdef _DEBUG
void CAxcpl01View::AssertValid() const
{
	CFormView::AssertValid();
}

void CAxcpl01View::Dump(CDumpContext& dc) const
{
	CFormView::Dump(dc);
}

CAxcpl01Doc* CAxcpl01View::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CAxcpl01Doc)));
	return (CAxcpl01Doc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CAxcpl01View message handlers

//***********************************************************************
//	֐F[h{^
//	֐@FOnButtonRead
//***********************************************************************
void CAxcpl01View::OnButtonRead() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	unsigned	char	cvalue = 0;
	unsigned	short	svalue = 0;
	unsigned	short	value;
	TCHAR	szBuff[8];

	if (Axcpl01wInPortW(wLogSocket, m_baseAddress, &svalue) == FALSE) {
		ErrorMessage(wLogSocket);
	} else {
		value = svalue;
		wsprintf(szBuff, _T("%04X"), value);
		m_enableHexEdit = true;
		m_hexEdit.SetWindowText(szBuff);
	}
}
//***********************************************************************
//	֐FCg{^
//	֐@FOnButtonWrite
//***********************************************************************
void CAxcpl01View::OnButtonWrite() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	unsigned	short	value;

	value = m_hexData;

	if (Axcpl01wOutPortW(wLogSocket, m_baseAddress, value) == FALSE ) {
		ErrorMessage(wLogSocket);
	}
}
//***********************************************************************
//	֐FZbg{^
//	֐@FOnButtonSet
//***********************************************************************
void CAxcpl01View::OnButtonSet() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	bool f1;
	bool f2;

	f1 = m_enableHexEdit;
	f2 = m_enableBinEdit;

	m_enableHexEdit = false;
	m_enableBinEdit = false;
	m_hexData = 0xffff;
	m_binData1 = 0xf;
	m_binData2 = 0xf;
	m_binData3 = 0xf;
	m_binData4 = 0xf;
	m_hexEdit.SetWindowText(_T("FFFF"));
	m_binEdit1.SetWindowText(_T("1111"));
	m_binEdit2.SetWindowText(_T("1111"));
	m_binEdit3.SetWindowText(_T("1111"));
	m_binEdit4.SetWindowText(_T("1111"));

	m_enableHexEdit = f1;
	m_enableBinEdit = f2;
	
}
//***********************************************************************
//	֐FZbg{^
//	֐@FOnButtonReset
//***********************************************************************
void CAxcpl01View::OnButtonReset() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	bool f1;
	bool f2;

	f1 = m_enableHexEdit;
	f2 = m_enableBinEdit;

	m_enableHexEdit = false;
	m_enableBinEdit = false;
	m_hexData = 0;
	m_binData1 = 0;
	m_binData2 = 0;
	m_binData3 = 0;
	m_binData4 = 0;
	m_hexEdit.SetWindowText(_T("0000"));
	m_binEdit1.SetWindowText(_T("0000"));
	m_binEdit2.SetWindowText(_T("0000"));
	m_binEdit3.SetWindowText(_T("0000"));
	m_binEdit4.SetWindowText(_T("0000"));

	m_enableHexEdit = f1;
	m_enableBinEdit = f2;
}
//***********************************************************************
//	֐Fݒ菈
//	֐@FOnInitialUpdate
//***********************************************************************
void CAxcpl01View::OnInitialUpdate() 
{
	CFormView::OnInitialUpdate();
	
	// TODO: ̈ʒuɌŗL̏ǉ邩A܂͊{NXĂяoĂ

	m_hexEdit.SubclassDlgItem(IDC_EDIT_HEX, this);
	m_binEdit1.SubclassDlgItem(IDC_EDIT_BIN1, this);
	m_binEdit2.SubclassDlgItem(IDC_EDIT_BIN2, this);
	m_binEdit3.SubclassDlgItem(IDC_EDIT_BIN3, this);
	m_binEdit4.SubclassDlgItem(IDC_EDIT_BIN4, this);

	//Xg{bNXɃx[XAhXǉ
	CComboBox* pList = (CComboBox*)GetDlgItem(IDC_BASEADDRESS);
	pList -> InsertString(-1, _T("BASE + 0"));
	pList -> InsertString(-1, _T("BASE + 2"));
	pList -> InsertString(-1, _T("BASE + 4"));
	pList -> InsertString(-1, _T("BASE + 6"));
	pList -> InsertString(-1, _T("BASE + 8"));
	pList -> InsertString(-1, _T("BASE + A"));
	pList -> InsertString(-1, _T("BASE + C"));
	pList -> InsertString(-1, _T("BASE + E"));
	pList -> SetCurSel(0);

	m_enableHexEdit = false;
	m_enableBinEdit = false;

	// f[^iPUijlݒ
	CEdit* pEdit = (CEdit*)GetDlgItem(IDC_EDIT_HEX);
	pEdit -> SetWindowText(_T("0000"));
	m_hexString = _T("0000");
	m_hexData = 0x0000;
	pEdit -> SetLimitText(4);

	// f[^PSiŏʁŉʁjlݒ
	pEdit = (CEdit*)GetDlgItem(IDC_EDIT_BIN1);
	pEdit -> SetWindowText(_T("0000"));
	pEdit -> SetLimitText(4);
	m_binString1 = _T("0000");
	m_binData1 = 0;
	pEdit = (CEdit*)GetDlgItem(IDC_EDIT_BIN2);
	pEdit -> SetWindowText(_T("0000"));
	pEdit -> SetLimitText(4);
	m_binString2 = _T("0000");
	m_binData2 = 0;
	pEdit = (CEdit*)GetDlgItem(IDC_EDIT_BIN3);
	pEdit -> SetWindowText(_T("0000"));
	pEdit -> SetLimitText(4);
	m_binString3 = _T("0000");
	m_binData3 = 0;
	pEdit = (CEdit*)GetDlgItem(IDC_EDIT_BIN4);
	pEdit -> SetWindowText(_T("0000"));
	pEdit -> SetLimitText(4);
	m_binString4 = _T("0000");
	m_binData4 = 0;
	
	m_baseAddress = 0;

	//-----------------------------------------------------------------
	// Axcpl01.dll ̎gp錾
	//-----------------------------------------------------------------
	if (Axcpl01wDllOpen() == FALSE) {
		ErrorMessage(AXCPL01_SOCKET_AUTO);	// axcpl01.dll ̃[hɎs܂
		AfxGetMainWnd() ->DestroyWindow();
	}
	//-----------------------------------------------------------------
	// AXC-PL01 ̎gp錾
	//-----------------------------------------------------------------
	BOOL	bResult;
	wLogSocket = AXCPL01_SOCKET_AUTO;			/* gp̃foCX */
//Kom--->
//	bResult = Axcpl01wCreate(&wLogSocket, NULL, WM_AXCPL01, NULL);
	bResult = Axcpl01wCreate(&wLogSocket, this->GetSafeHwnd(), AXCPL01_WM_USER, NULL);
//<---Kom
	if (bResult == FALSE) {						/* foCX܂B */
		ErrorMessage(AXCPL01_SOCKET_AUTO);
		AfxGetMainWnd() ->DestroyWindow();
//Kom--->
//	}
	}else{
		m_uTimer	= SetTimer(1, 100, NULL);
	}
//<---Kom

}
//***********************************************************************
//	֐F2i10ivZ
//	֐@FGetBinValue
//***********************************************************************
int GetBinValue(CString bin)
{
	int	val;
	char c;

	c = (char)*(bin.GetBuffer(bin.GetLength()));
	
	switch (c) {
		case '0':	val = 0;	break;
		case '1':	val = 1;	break;
		default:	val = 0;	break;
	}
	return val;
}//***********************************************************************
//	֐F16i10ivZ
//	֐@FGetHexValue
//***********************************************************************
int GetHexValue(CString hex)
{
	int	val;
	char c;

	c = (char)*(hex.GetBuffer(hex.GetLength()));
	
	switch (c) {
		case '0':	val = 0;	break;
		case '1':	val = 1;	break;
		case '2':	val = 2;	break;
		case '3':	val = 3;	break;
		case '4':	val = 4;	break;
		case '5':	val = 5;	break;
		case '6':	val = 6;	break;
		case '7':	val = 7;	break;
		case '8':	val = 8;	break;
		case '9':	val = 9;	break;
		case 'A':	val = 10;	break;
		case 'B':	val = 11;	break;
		case 'C':	val = 12;	break;
		case 'D':	val = 13;	break;
		case 'E':	val = 14;	break;
		case 'F':	val = 15;	break;
		default:	val = 0;	break;
	}
	return val;
}
//***********************************************************************
//	֐F16i10iϊ
//	֐@FHex2Dec
//***********************************************************************
int pow(int n,int x){

    int	i;
	int	ans = 1;

	for (i = 1; i <= x; i++) {
		ans = ans * n;
	}
	return ans;
}
unsigned short Hex2Dec(CString hex)
{
	CString tmp;
	CString	c;
	unsigned short	val;
	int	i, j;

	val = 0;

	tmp = hex;
	tmp.MakeUpper();

	if (tmp.GetLength() > 0) {
		for (j = 0, i = tmp.GetLength()-1; i >= 0; i--, j++) {
			c = tmp.Mid(i, 1);
			val = val + (GetHexValue(c) * pow(16, j));
		}
	} else {
		val = 0;
	}

	return val;
}
//***********************************************************************
//	֐F2i10iϊ
//	֐@FBin2Dec
//***********************************************************************
unsigned short Bin2Dec(CString bin)
{
	CString tmp;
	CString	c;
	unsigned short	val;
	int	i, j;

	val = 0;

	tmp = bin;

	if (tmp.GetLength() > 0) {
		for (j = 0, i = tmp.GetLength()-1; i >= 0; i--, j++) {
			c = tmp.Mid(i, 1);
			val = val + (GetBinValue(c) * pow(2, j));
		}
	} else {
		val = 0;
	}
	return val;
}
//***********************************************************************
//	֐F2if[^ϊ
//	֐@FHex2Bin
//***********************************************************************
CString Hex2Bin(int hex)
{
	CString	bin;

	switch (hex) {
		case 0:		bin = _T("0000");	break;
		case 1:		bin = _T("0001");	break;
		case 2:		bin = _T("0010");	break;
		case 3:		bin = _T("0011");	break;
		case 4:		bin = _T("0100");	break;
		case 5:		bin = _T("0101");	break;
		case 6:		bin = _T("0110");	break;
		case 7:		bin = _T("0111");	break;
		case 8:		bin = _T("1000");	break;
		case 9:		bin = _T("1001");	break;
		case 10:	bin = _T("1010");	break;
		case 11:	bin = _T("1011");	break;
		case 12:	bin = _T("1100");	break;
		case 13:	bin = _T("1101");	break;
		case 14:	bin = _T("1110");	break;
		case 15:	bin = _T("1111");	break;
		default:	bin = _T("0000");	break;
	}
	return bin;
}
//***********************************************************************
//	֐F16if[^ύX
//	֐@FOnChangeEditHex
//***********************************************************************
void CAxcpl01View::OnChangeEditHex() 
{
	// TODO: ꂪ RICHEDIT Rg[̏ꍇARg[́A lParam }XN
	// ł̘_a ENM_CHANGE tOt CRichEditCrtl().SetEventMask()
	// bZ[WRg[֑邽߂ CFormView::OnInitDialog() ֐I[o[
	// ChȂ肱̒ʒm𑗂܂B
	
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ

	CString	tmp;
	bool	flg;

	flg = m_enableBinEdit;

	if (m_enableHexEdit == true) {
		m_hexEdit.GetWindowText(tmp);
		m_hexData = Hex2Dec(tmp);	// HexStrBinϊ
		m_enableBinEdit = false;
		m_binData4 = (m_hexData & 0x000F);
		tmp = Hex2Bin(m_binData4);		// ŉ4rbg
		m_binEdit4.SetWindowText(tmp.GetBuffer(tmp.GetLength()));
		m_binData3 = ((m_hexData & 0x00F0) >> 4);
		tmp = Hex2Bin(m_binData3);
		m_binEdit3.SetWindowText(tmp.GetBuffer(tmp.GetLength()));
		m_binData2 = ((m_hexData & 0x0F00) >> 8);
		tmp = Hex2Bin(m_binData2);
		m_binEdit2.SetWindowText(tmp.GetBuffer(tmp.GetLength()));
		m_binData1 = ((m_hexData & 0xF000) >> 12);
		tmp = Hex2Bin(m_binData1);
		m_binEdit1.SetWindowText(tmp.GetBuffer(tmp.GetLength()));
	}
	m_enableBinEdit = flg;
}
//***********************************************************************
//	֐F2if[^ύX(ŏ)
//	֐@FOnChangeEditBin1
//***********************************************************************
void CAxcpl01View::OnChangeEditBin1() 
{
	// TODO: ꂪ RICHEDIT Rg[̏ꍇARg[́A lParam }XN
	// ł̘_a ENM_CHANGE tOt CRichEditCrtl().SetEventMask()
	// bZ[WRg[֑邽߂ CFormView::OnInitDialog() ֐I[o[
	// ChȂ肱̒ʒm𑗂܂B
	
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	CString	tmp;
	int		data;
	bool	flg;
	flg = m_enableHexEdit;
	m_enableHexEdit = false;
	if (m_enableBinEdit == true) {
		m_binEdit1.GetWindowText(tmp);
		m_binData1 = Bin2Dec(tmp);	// BinStrBinϊ
		m_hexData = data = (m_binData1 << 12) + (m_binData2 << 8) + (m_binData3 << 4) + m_binData4;
		tmp.Format(_T("%04X"), data);
		m_hexEdit.SetWindowText(tmp.GetBuffer(tmp.GetLength()));
	}
	m_enableHexEdit = flg;
}
//***********************************************************************
//	֐F2if[^ύX()
//	֐@FOnChangeEditBin2
//***********************************************************************
void CAxcpl01View::OnChangeEditBin2() 
{
	// TODO: ꂪ RICHEDIT Rg[̏ꍇARg[́A lParam }XN
	// ł̘_a ENM_CHANGE tOt CRichEditCrtl().SetEventMask()
	// bZ[WRg[֑邽߂ CFormView::OnInitDialog() ֐I[o[
	// ChȂ肱̒ʒm𑗂܂B
	
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	CString	tmp;
	int		data;
	bool	flg;
	flg = m_enableHexEdit;
	m_enableHexEdit = false;
	if (m_enableBinEdit == true) {
		m_binEdit2.GetWindowText(tmp);
		m_binData2 = Bin2Dec(tmp);	// BinStrBinϊ
		m_hexData = data = (m_binData1 << 12) + (m_binData2 << 8) + (m_binData3 << 4) + m_binData4;
		tmp.Format(_T("%04X"), data);
		m_hexEdit.SetWindowText(tmp.GetBuffer(tmp.GetLength()));
	}
	m_enableHexEdit = flg;
}
//***********************************************************************
//	֐F2if[^ύX()
//	֐@FOnChangeEditBin3
//***********************************************************************
void CAxcpl01View::OnChangeEditBin3() 
{
	// TODO: ꂪ RICHEDIT Rg[̏ꍇARg[́A lParam }XN
	// ł̘_a ENM_CHANGE tOt CRichEditCrtl().SetEventMask()
	// bZ[WRg[֑邽߂ CFormView::OnInitDialog() ֐I[o[
	// ChȂ肱̒ʒm𑗂܂B
	
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	CString	tmp;
	int		data;
	bool	flg;
	flg = m_enableHexEdit;
	m_enableHexEdit = false;
	if (m_enableBinEdit == true) {
		m_binEdit3.GetWindowText(tmp);
		m_binData3 = Bin2Dec(tmp);	// BinStrBinϊ
		m_hexData = data = (m_binData1 << 12) + (m_binData2 << 8) + (m_binData3 << 4) + m_binData4;
		tmp.Format(_T("%04X"), data);
		m_hexEdit.SetWindowText(tmp.GetBuffer(tmp.GetLength()));
	}
	m_enableHexEdit = flg;
}
//***********************************************************************
//	֐F2if[^ύX(ŉ)
//	֐@FOnChangeEditBin4
//***********************************************************************
void CAxcpl01View::OnChangeEditBin4() 
{
	// TODO: ꂪ RICHEDIT Rg[̏ꍇARg[́A lParam }XN
	// ł̘_a ENM_CHANGE tOt CRichEditCrtl().SetEventMask()
	// bZ[WRg[֑邽߂ CFormView::OnInitDialog() ֐I[o[
	// ChȂ肱̒ʒm𑗂܂B
	
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	CString	tmp;
	int		data;
	bool	flg;
	flg = m_enableHexEdit;
	m_enableHexEdit = false;
	if (m_enableBinEdit == true) {
		m_binEdit4.GetWindowText(tmp);
		m_binData4 = Bin2Dec(tmp);	// BinStrBinϊ
		m_hexData = data = (m_binData1 << 12) + (m_binData2 << 8) + (m_binData3 << 4) + m_binData4;
		tmp.Format(_T("%04X"), data);
		m_hexEdit.SetWindowText(tmp.GetBuffer(tmp.GetLength()));
	}
	m_enableHexEdit = flg;
}
//***********************************************************************
//	֐F\[X\
//	֐@FOnMainResource
//***********************************************************************
void CAxcpl01View::OnMainResource() 
{
	// TODO: ̈ʒuɃR}h nhp̃R[hǉĂ
	DWORD	dwIOPortBase;
	DWORD	dwIOPortLength;
	TCHAR	szbuf[128];
	if (Axcpl01wGetResource(wLogSocket, &dwIOPortBase, &dwIOPortLength) == FALSE) {
		ErrorMessage(wLogSocket);
		AfxGetMainWnd() ->DestroyWindow();
	} else {
		wsprintf(szbuf, _T("ؿ\n\n")
						_T("IO Address : %08xh-%08xh\n") ,
						dwIOPortBase,
						dwIOPortBase + dwIOPortLength - 1);
		MessageBox(szbuf, szPL01, MB_OK | MB_ICONINFORMATION);
	}
}
//***********************************************************************
//	֐Fo[W\
//	֐@FOnMainVer
//***********************************************************************
void CAxcpl01View::OnMainVer() 
{
	// TODO: ̈ʒuɃR}h nhp̃R[hǉĂ
	DWORD	dwDLLVer, dwDrvVer;
	TCHAR	szbuf[128];

	if (Axcpl01wGetVersion(&dwDLLVer, &dwDrvVer) == FALSE) {
		ErrorMessage(AXCPL01_SOCKET_AUTO);
		AfxGetMainWnd() ->DestroyWindow();
	} else {
		wsprintf(szbuf, _T("ްޮݏ\n") _T("DLL Version:    %08lxh\n")
								_T("Driver Version: %08lxh"), dwDLLVer, dwDrvVer );
		MessageBox(szbuf, szPL01, MB_OK | MB_ICONINFORMATION);
	}
}
//***********************************************************************
//	֐Fx[XAhXXg{bNXύX
//	֐@FOnSelchangeBaseaddress
//***********************************************************************
void CAxcpl01View::OnSelchangeBaseaddress() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	m_baseAddress = m_baseAddressList.GetCurSel() * 2;
}
//***********************************************************************
//	֐F16iGfBbg{bNXI
//	֐@FOnSetfocusEditHex
//***********************************************************************
void CAxcpl01View::OnSetfocusEditHex() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	m_enableHexEdit = true;	
}
//***********************************************************************
//	֐F2iGfBbg{bNXIiŏʁj
//	֐@FOnSetfocusEditBin1
//***********************************************************************
void CAxcpl01View::OnSetfocusEditBin1() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	m_enableBinEdit = true;	
}
//***********************************************************************
//	֐F2iGfBbg{bNXIiʁj
//	֐@FOnSetfocusEditBin2
//***********************************************************************
void CAxcpl01View::OnSetfocusEditBin2() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	m_enableBinEdit = true;	
}
//***********************************************************************
//	֐F2iGfBbg{bNXIiʁj
//	֐@FOnSetfocusEditBin3
//***********************************************************************
void CAxcpl01View::OnSetfocusEditBin3() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	m_enableBinEdit = true;	
}
//***********************************************************************
//	֐F2iGfBbg{bNXIiŉʁj
//	֐@FOnSetfocusEditBin4
//***********************************************************************
void CAxcpl01View::OnSetfocusEditBin4() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	m_enableBinEdit = true;	
}
//***********************************************************************
//	֐F16iGfBbg{bNXI
//	֐@FOnSetfocusEditHex
//***********************************************************************
void CAxcpl01View::OnKillfocusEditHex() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	m_enableHexEdit = false;	
}
//***********************************************************************
//	֐F2iGfBbg{bNXIiŏʁj
//	֐@FOnSetfocusEditBin1
//***********************************************************************
void CAxcpl01View::OnKillfocusEditBin1() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	m_enableBinEdit = false;	
}
//***********************************************************************
//	֐F2iGfBbg{bNXIiʁj
//	֐@FOnSetfocusEditBin2
//***********************************************************************
void CAxcpl01View::OnKillfocusEditBin2() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	m_enableBinEdit = false;	
}
//***********************************************************************
//	֐F2iGfBbg{bNXIiʁj
//	֐@FOnSetfocusEditBin3
//***********************************************************************
void CAxcpl01View::OnKillfocusEditBin3() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	m_enableBinEdit = false;	
}
//***********************************************************************
//	֐F2iGfBbg{bNXIiŉʁj
//	֐@FOnSetfocusEditBin4
//***********************************************************************
void CAxcpl01View::OnKillfocusEditBin4() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	m_enableBinEdit = false;	
}
//***********************************************************************
//	֐FI
//	֐@FOnMainExit
//***********************************************************************
void CAxcpl01View::OnMainExit() 
{
	// TODO: ̈ʒuɃR}h nhp̃R[hǉĂ
	AfxGetApp()->GetMainWnd()->SendMessage(WM_CLOSE);
}
//***********************************************************************
//	֐FG[bZ[W
//	֐@FOnMainExit
//***********************************************************************
void CAxcpl01View::ErrorMessage(WORD wLogSocket)
{
	DWORD dwRes = Axcpl01wGetLastError(wLogSocket);
	TCHAR szbuf[50];

	switch (dwRes) {
		case AXCPL01_ERR_SYSTEM:
			wsprintf(szbuf, _T("System error\n\n")
							_T("Error code: %08lxh"), GetLastError());
			break;

		case AXCPL01_ERR_WRAPDLL:
			wsprintf(szbuf, _T("DLL Load error"));
			break;

		default:
			wsprintf(szbuf, _T("AXC-PL01 error\n\n")
							_T("Error code: %08lxh"), dwRes);
			break;
	}
	MessageBox(szbuf, _T("AXC-PL01"), MB_OK | MB_ICONSTOP);
}
//***********************************************************************
//	֐FI
//	֐@FOnDestroy
//***********************************************************************
void CAxcpl01View::OnDestroy() 
{
	if(m_uTimer != 0)
	{
		KillTimer(m_uTimer);						//ϰI
		m_uTimer = 0;								//
	}


	CFormView::OnDestroy();
	
	// TODO: ̈ʒuɃbZ[W nhp̃R[hǉĂ
	// AXP-AXCPL01 J
	Axcpl01wClose(wLogSocket);
	// Axcpl01.dll J
	if (Axcpl01wDllClose() == FALSE) {
		ErrorMessage(AXCPL01_SOCKET_AUTO);
	}
	
}
//***********************************************************************
//	֐FJ[h胁bZ[W
//	֐@FOnCardRemove
//		F	UINT 		wParam		bZ[Whc
//				LPARAM 		lParam		bZ[Wp[^
//***********************************************************************
void CAxcpl01View::OnCardRemove(UINT wParam,LPARAM lParam)
{

	// ͂߂Ƀ^C}[~߂
	if(m_uTimer != 0)
	{
		KillTimer(m_uTimer);						//ϰI
		m_uTimer = 0;								//
	}

	AfxMessageBox(IDS_CARD_REMOVE);

	CAxcpl01App*	pApp	= (CAxcpl01App*)AfxGetApp();
	pApp->m_pMainWnd->DestroyWindow();
}

void CAxcpl01View::OnTimer(UINT nIDEvent) 
{
	SystemIdleTimerReset();
	

	CFormView::OnTimer(nIDEvent);
}
